%define upstream_name    RDF-Query
%define upstream_version 2.917

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Executable query plan for nested loop joins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::UUID)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(I18N::LangTags)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(RDF::Trine) >= 1.4.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::JSON)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI) >= 1.520.0
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
RDF::Query allows SPARQL and RDQL queries to be run against an RDF model,
returning rows of matching results.

See the http://www.w3.org/TR/rdf-sparql-query/ manpage for more information
on SPARQL.

See the http://www.w3.org/Submission/2004/SUBM-RDQL-20040109/ manpage for
more information on RDQL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/rqsh
/usr/share/man/man1/rqsh.1.bz2

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.917.0-2pclos2017
- rebuild against updates

